package intrinsic.mx.utils;

public class Base64Encoder extends Object {

	/** Accessors */

	/** Variables */
	public boolean insertNewLines;

	/** Constants */

	/** Class Accessors */

	/** Class variables */
	public static String newLine;

/** Contructors */
public Base64Encoder() {
}


/** Static Methods */

/** Methods */
public native void encodeBytes(intrinsic.flash.utils.ByteArray arg0);
public native void encodeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void encodeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native String drain();
public native String flush();
public native void encode(String arg0);
public native void encode(String arg0, int arg1);
public native void encode(String arg0, int arg1, int arg2);

}
